#include <stdio.h>

int main(){
    int i,j,n;
    
    scanf("%d",&n);
    
    if(n<=0)
      printf("-1");
    
    else{
      for(i=0;i<n;i++){
	for(j=0;j<=n;j++){
	  if(j==i+1)
	      printf("*"); 
	      
	    if(j==i-1)
	      printf("*A");
	  
	    else
	      printf(" ");
      }
      printf("\n");
    }
  
  
}
  return 0;
}